// packageI/newMedia/newMediaExchange/newMediaExchange.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    details:{},
    quantity:'',
    points:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getStream();
  },

  setPoints(){
    let points = this.data.quantity * this.data.details.stream_eq_points;
    this.setData({points});
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    let pages = getCurrentPages();
    let page = pages[pages.length-2];
    page.getBehavior(true);
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  getStream(){
    let urlStr = app.getNetAddresss("plugin.new-media-advertising.frontend.stream.exchange-stream-page");
    app._getNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.setData({
          details:res.data
        });
      }
    });
  },

  send(){
    let urlStr = app.getNetAddresss("plugin.new-media-advertising.frontend.stream.exchange-stream");
    app._getNetWork({
      url: urlStr,
      data:{stream:this.data.quantity},
      success: (resdata) => {
        var res = resdata.data;
        app.tips(res.msg);
        if (res.result != 1) return ;
        setTimeout(()=>{
          wx.navigateBack();
        },500);

      }
    });
  }




});